DEVM_KASPRINTF(9)

NAME
devm_kasprintf - Allocate resource managed space and format a string into that.

SYNOPSIS

char * devm_kasprintf(struct device * dev, gfp_t gfp, const char * fmt, ...);

ARGUMENTS

dev
    Device to allocate memory for

gfp
    the GFP mask used in the devm_kmalloc call when allocating memory

fmt
    The printf-style format string @...: Arguments for the format string

...
    variable arguments

RETURNS

Pointer to allocated string on success, NULL on failure.

COPYRIGHT